#ifndef LEVEL_COMPLETE_STATE_H
#define LEVEL_COMPLETE_STATE_H
/*====================================================================================
Class Name  : LevelCompleteState
Authors	    : Ewan Duncan
Description : Used to show when a player has reached the end of a level and take the 
			  user back to the level editor.
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include "state_manager.h"

/*------------------------------------------------------------------------------------
LEVEL COMPLETE STATE CLASS
------------------------------------------------------------------------------------*/
class LevelCompleteState : public State
{
 public:
	LevelCompleteState(abfw::Platform* platform) : State(platform) {};
	void Init();
	void CleanUp();
	void Update(float frame_time, const abfw::SonyController* controller, StateManager* state_manager);
	void Render(abfw::SpriteRenderer* sprite_renderer, abfw::Renderer3D* renderer_3d);

 private:
	abfw::Sprite back_to_level_editor_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
