#ifndef LEVEL_EDIT_STATE_H
#define LEVEL_EDIT_STATE_H
/*====================================================================================
Class Name  : LevelEditState
Authors	    : Ewan Duncan
Description : Allows the user to create levels with a level editor.  
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include "state_manager.h"
#include "level_editor.h"

/*------------------------------------------------------------------------------------
LEVEL EDIT STATE CLASS
------------------------------------------------------------------------------------*/
class LevelEditState : public State
{
 public:
	 LevelEditState(abfw::Platform* platform) : State(platform) {};
	 void Init();
	 void CleanUp();
	 void Update(float frame_time, const abfw::SonyController* controller, StateManager* state_manager);
	 void Render(abfw::SpriteRenderer* sprite_renderer, abfw::Renderer3D* renderer_3d);

 private:
	 void CreateTestLevel();
	 LevelEditor level_editor_;
	 std::vector<GameObject> level_blocks_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
