#ifndef MARKER_LOST_STATE_H
#define MARKER_LOST_STATE_H
/*====================================================================================
Class Name  : MarkerLostState
Authors	    : Ewan Duncan
Description : Used to pause the previous program state until the ar marker is found.
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include "state_manager.h"

/*------------------------------------------------------------------------------------
MARKER LOST STATE CLASS
------------------------------------------------------------------------------------*/
class MarkerLostState : public State
{
 public:
	MarkerLostState(abfw::Platform* platform) : State(platform) {};
	void Init();
	void CleanUp();
	void Update(float frame_time, const abfw::SonyController* controller, StateManager* state_manager);
	void Render(abfw::SpriteRenderer* sprite_renderer, abfw::Renderer3D* renderer_3d);

	inline void set_player_marker_index(const int player_marker_index) { player_marker_index_ = player_marker_index; }

 private:
	 abfw::Sprite marker_not_found_;
	 int player_marker_index_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
