#ifndef MARKER_SELECT_STATE_H
#define MARKER_SELECT_STATE_H
/*====================================================================================
Class Name  : MarkerSelectState
Authors	    : Ewan Duncan
Description : Used to select an ar marker to be used as the reference transform for
			  the other program states.  
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include "state_manager.h"

/*------------------------------------------------------------------------------------
MARKER SELECT STATE CLASS
------------------------------------------------------------------------------------*/
class MarkerSelectState : public State
{
 public:
	MarkerSelectState(abfw::Platform* platform) : State(platform) {};
	void Init();
	void CleanUp();
	void Update(float frame_time, const abfw::SonyController* controller, StateManager* state_manager);
	void Render(abfw::SpriteRenderer* sprite_renderer, abfw::Renderer3D* renderer_3d);

 private:
	abfw::Sprite select_marker_;
	abfw::Sprite press_start_;
	bool marker_found_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
