#ifndef PLAY_STATE_H
#define PLAY_STATE_H
/*====================================================================================
Class Name  : PlayState
Authors	    : Ewan Duncan
Description : Allows the user to play levels created in the editor.
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include "state_manager.h"
#include "player.h"

/*------------------------------------------------------------------------------------
PLAY STATE CLASS
------------------------------------------------------------------------------------*/
class PlayState : public State
{
 public:
	PlayState(abfw::Platform* platform) : State(platform) {};
	void Init();
	void CleanUp();
	void Update(float frame_time, const abfw::SonyController* controller, StateManager* state_manager);
	void Render(abfw::SpriteRenderer* sprite_renderer, abfw::Renderer3D* renderer_3d);

	inline void set_level_blocks(const std::vector<GameObject> level_blocks) { level_blocks_ = level_blocks; }

 private:
	Player player_;
	std::vector<GameObject> level_blocks_;
	bool marker_was_lost_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
