#ifndef STATE_MANAGER_H
#define STATE_MANAGER_H
/*====================================================================================
Class Name  : StateManager
Authors	    : Ewan Duncan
Description : Stores all the states of the application and provides functions to 
			  switch between them. 
====================================================================================*/

/*------------------------------------------------------------------------------------
INCLUDES
------------------------------------------------------------------------------------*/
#include <vector>

#include "state.h"

/*------------------------------------------------------------------------------------
STATE MANAGER CLASS
------------------------------------------------------------------------------------*/
class StateManager
{
 public:
	 void ChangeState(State* state);
	 void PushState(State* state);
	 void PopState();
	 void Clear();
	 std::vector<State*> states_;
};

/*------------------------------------------------------------------------------------
END OF FILE
------------------------------------------------------------------------------------*/
#endif
